dofile("scripts/include/sporechildflowertemplate.lua")

function init(me)
	commonInit(me, "SporeChildFlowerRed")
end

function update(me, dt)
	commonUpdate(me, dt)
end

function enterState(me, state)
	commonEnterState(me, state)
	if entity_isState(me, STATE_OPENED) then
		-- do effect
		playSfx("Secret")
		orb = createEntity("EnergyOrb", "", entity_getPosition(me))
		entity_alpha(orb, 0)
		entity_alpha(orb, 1, 0.5)
		entity_scale(orb, 0.5, 0.5)
		entity_scale(orb, 1, 1, 0.5)
		
		
	end
end



